updateGuest

Updates a guest profile. Send at least one meaningful field besides guestID. When guestNote is sent, it is Luhn-guarded.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Query Params
string
required

Unique code of the property (digits only, max 11)

Body Params
string
required

Unique identifier of the guest (digits only, max 30)

string

Guest first name (max 120). If sent, guestLastName is also required.

string

Guest last name (max 120). If sent, guestFirstName is also required.

string

Guest email (max 254)

string

Guest phone

string

Guest mobile phone

string

Guest address (max 400)

string

City

string

State / province

string

Two-letter ISO country code

string

Postal code

date

Date of birth (YYYY-MM-DD)

string
enum

Guest gender

Allowed:
string | null

Note on the guest profile. Max 4000 characters. Numeric values longer than 12 characters that are considered valid by Luhn's algorithm (mod 10) are rejected. Rejected requests return HTTP 400 with code GUEST_NOTE_CONTAINS_PAYMENT_DATA.

string

VIP status. Send blank to clear.

string

Payment method. Send blank to clear.

string

Optional user ID for activity logging (digits only, max 30)

Responses

Language
Credentials
Bearer
API Key
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json